﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	Private nid As Int = 1
	Private lock As PhoneWakeState
	Private timer1 As Timer
End Sub

Sub Service_Create
	lock.PartialLock
	timer1.Initialize("Timer1", 3000)
End Sub


Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground
End Sub

Public Sub Start
	Service.StartForeground(nid, CreateNotification("HotBit attiva"))
	timer1.Enabled = True
End Sub

Public Sub Stop
	timer1.Enabled = False
	Service.StopForeground(nid)
End Sub


Sub CreateNotification (Body As String) As Notification
	Dim notification As Notification
	notification.Initialize2(notification.IMPORTANCE_LOW)
	notification.Icon = "icon"
	notification.SetInfo("Prezzo superiore a n ", Body, Main)
	Return notification
End Sub

Sub Service_Destroy
	lock.ReleasePartialLock
End Sub

Sub timer1_tick
	Dim j As HttpJob
	j.Initialize("", Me)
	j.Download("https://api.hotbit.io/api/v1/market.last?market=KIBA/USDT")
	Wait For (j) JobDone(j As HttpJob)
	If j.Success Then
		Log(j.GetString)
		Dim parser As JSONParser
		parser.Initialize(j.GetString)
		Dim root As Map = parser.NextObject
		Dim result As String = root.Get("result")
		Log(result)
	End If
	If result > "0.00002874" Then
		Dim n As Notification = CreateNotification($"Prezzo superiore a n "$)
		n.Notify(nid)
	End If
	j.Release
End Sub